<?php

namespace App\Community\Controllers;

use App\Models\DocterVerify;
use Encore\Admin\Controllers\AdminController;
use Encore\Admin\Form;
use Encore\Admin\Grid;
use Encore\Admin\Show;

class DocterVerifyController extends AdminController
{
    /**
     * Title for current resource.
     *
     * @var string
     */
    protected $title = '用户认证';

    /**
     * Make a grid builder.
     *
     * @return Grid
     */
    protected function grid()
    {
        $grid = new Grid(new DocterVerify());

        $grid->column('id', __('Id'));
        $grid->column('docter_id', __('医生'));
        $grid->column('org_id', __('组织'));
        $grid->column('status', __('状态'));
        $grid->column('created_at', __('创建时间'));
        $grid->column('updated_at', __('审核时间'));

        return $grid;
    }

    /**
     * Make a show builder.
     *
     * @param mixed $id
     * @return Show
     */
    protected function detail($id)
    {
        $show = new Show(DocterVerify::findOrFail($id));

        $show->field('id', __('Id'));
        $show->field('docter_id', __('Docter id'));
        $show->field('org_id', __('Org id'));
        $show->field('status', __('Status'));
        $show->field('created_at', __('Created at'));
        $show->field('updated_at', __('Updated at'));

        return $show;
    }

    /**
     * Make a form builder.
     *
     * @return Form
     */
    protected function form()
    {
        $form = new Form(new DocterVerify());

        $form->number('docter_id', __('Docter id'));
        $form->number('org_id', __('Org id'));
        $form->number('status', __('Status'))->default(1);

        return $form;
    }
}
